[PATCH olpc-os-builder 03/14] Do not adjust dates of activities

Sascha Silbe silbe at activitycentral.com
Thu Mar 17 11:21:17 EDT 2011


From: Bernie Innocenti <bernie at codewiz.org>

By resetting all the dates, we'd break the new-to-old ordering in the
list view. The initial order would be reverse-alphabetic and would start
to break as users installed or updated some activities.

Signed-off-by: Sascha Silbe <silbe at activitycentral.com>
---
 modules/base/preimage.90.core.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/base/preimage.90.core.sh b/modules/base/preimage.90.core.sh
index 694d5ac..6bfd71d 100644
--- a/modules/base/preimage.90.core.sh
+++ b/modules/base/preimage.90.core.sh
@@ -93,7 +93,7 @@ find $fsmount/usr/share -xdev -name "*.py[oc]" -delete
 
 # normalize mtimes of all files
 echo "Normalize file times..."
-find $fsmount -xdev -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
+find $fsmount -xdev -path $fsmount/home/olpc/Activities -prune -o -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
 
 # fails to compile due to "..."
 rm -f $fsmount/usr/lib/python2.7/lib2to3/tests/data/py3_test_grammar.py*
@@ -130,7 +130,7 @@ fi
 
 # now normalize mtimes again
 echo "Normalize file times..."
-find $fsmount -xdev -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
+find $fsmount -xdev -path $fsmount/home/olpc/Activities -prune -o -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
 
 # now that we've generated the .contents file, its important that nobody
 # makes any more changes to the files. let's try and be sure of that
-- 
1.7.4.1




More information about the Devel mailing list